<!DOCTYPE html>
<html>
<head>
    <title>Chức năng mảng số nguyên</title>
   
    
</head>
<body>
    <h1>Chức năng mảng số nguyên</h1>
    <label>Nhập mảng số nguyên (phân cách bằng dấu phẩy):</label>
    <input type="text" id="numberArray" placeholder="Ví dụ: 1, 2, 3, 4">

    <h2>Chọn chức năng:</h2>
    <button onclick="tinhTongSoDuong()">1. Tổng các số dương trong mảng</button>
    <button onclick="demSoDuong()">2. Đếm có bao nhiêu số dương trong mảng</button>
    <button onclick="timSoNhoNhat()">3. Tìm số nhỏ nhất trong mảng</button>
    <button onclick="timSoDuongNhoNhat()">4. Tìm số dương nhỏ nhất trong mảng</button>
    <button onclick="timSoChanCuoiCung()">5. Tìm số chẵn cuối cùng trong mảng</button>

    <h2>Đổi chỗ 2 giá trị trong mảng:</h2>
    <label>Vị trí 1:</label>
    <input type="number" id="position1" placeholder="Vị trí 1">
    <label>Vị trí 2:</label>
    <input type="number" id="position2" placeholder="Vị trí 2">
    <button onclick="doiCho()">Đổi chỗ</button>

    <h2>Chức năng tiếp theo:</h2>
    <button onclick="sapXepTangDan()">7. Sắp xếp mảng theo thứ tự tăng dần</button>
    <button onclick="timSoNguyenToDauTien()">8. Tìm số nguyên tố đầu tiên trong mảng</button>

    <h2>Mảng số thực:</h2>
    <label>Nhập mảng số thực (phân cách bằng dấu phẩy):</label>
    <input type="text" id="realNumberArray" placeholder="Ví dụ: 1.2, 2.5, 3.7, 4.8">
    <button onclick="timSoNguyenTrongMangSoThuc()">9. Tìm số nguyên trong mảng số thực</button>

    <h2>So sánh số lượng số dương và số lượng số âm:</h2>
    <button onclick="soSanhSoDuongVaSoAm()">10. So sánh số lượng số dương và số lượng số âm</button>

    <h2>Kết quả:</h2>
    <p id="result"></p>
</body>
<script src="index.js"></script>
</html>
